You are Here:
Install Updates Gimp Error - see Security & Bug Fixes Section Sticky



[ SOLVED ] Steam will not run

Author (Read 5401 times)

0 Members and 1 Guest are viewing this topic.

Steam will not run
« on: September 30, 2015, 02:40:07 PM »
 

wyldekey

  • New to Forums
  • *
  • 10
    Posts
  • Reputation: 2
  • Linux Lite Member
I just installed Linux Lite 2.6 on my son's computer with an Intel Core 2 Duo processor. He has previously run L.L 1.06 on this machine for the last 2 years and Steam worked pretty well on it. I installed the proprietary Nvidia graphics driver, but Steam still will not launch. I also tried reinstalling it from a .deb file, and I've searched the internet with no answer. Does anyone have a suggestion?
Last Edit: October 01, 2015, 12:14:15 AM by Jerry
 


Re: Steam will not run
« Reply #1 on: September 30, 2015, 04:03:37 PM »
 

Valsu

  • Linux-Lite-Lover
  • New to Forums
  • *
  • 2
    Posts
  • Country: 00
  • Reputation: 2
  • Linux Lite User

  • CPU: 4x Intel Core 2 Quad CPU Q9300 @ 2.50 GHz

  • MEMORY: 4Gb

  • VIDEO CARD: NVIDIA GeForce GTS 450
Please try to run steam from the terminal and post the output (remember to use the quote tag). I'm positive there's just some library missing.
Drawn by Desire
Soaring Higher
They spend in Heaven
Sin in Hell

 

Re: Steam will not run
« Reply #2 on: September 30, 2015, 06:02:06 PM »
 

wyldekey

  • New to Forums
  • *
  • 10
    Posts
  • Reputation: 2
  • Linux Lite Member
I entered "steam" in terminal and this is what came back:

Code: [Select]
Running Steam on ubuntu 14.04 32-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(1433441724)
Installing breakpad exception handler for appid(steam)/version(1433441724)
Installing breakpad exception handler for appid(steam)/version(1433441724)
/home/buildbot/buildslave_steam/steam_rel_client_ubuntu12_linux/build/src/steamUI/../common/steam/client_api.cpp (320) : Assertion Failed: ClientAPI_InitGlobalInstance: InternalAPI_Init_Internal failed, most likely because you are missing a 32-bit dependency of steamclient.so (the Steam client is a 32-bit app).

 
Assert( Assertion Failed: ClientAPI_InitGlobalInstance: InternalAPI_Init_Internal failed, most likely because you are missing a 32-bit dependency of steamclient.so (the Steam client is a 32-bit app).
 ):/home/buildbot/buildslave_steam/steam_rel_client_ubuntu12_linux/build/src/steamUI/../common/steam/client_api.cpp:320

 
Installing breakpad exception handler for appid(steam)/version(1433441724)
assert_20150930175749_5.dmp[3576]: Uploading dump (out-of-process)
/tmp/dumps/assert_20150930175749_5.dmp
/home/buildbot/buildslave_steam/steam_rel_client_ubuntu12_linux/build/src/steamUI/SteamStartup.cpp (751) : Assertion Failed: ! "There was a problem with your Steam installation.\n" "Please reinstall steam.\n"
[2015-09-30 17:57:44] Startup - updater built Jun  4 2015 10:35:42
[2015-09-30 17:57:45] Verifying installation...
[2015-09-30 17:57:45] Verification complete
[2015-09-30 17:57:50] Shutdown
[0930/175751:ERROR:browser_main_loop.cc(170)] Running without the SUID sandbox! See https://code.google.com/p/chromium/wiki/LinuxSUIDSandboxDevelopment for more information on developing with the sandbox on.
Installing breakpad exception handler for appid(steamwebhelper)/version(20150604103540)
Installing breakpad exception handler for appid(steamwebhelper)/version(1433414140)
assert_20150930175749_5.dmp[3576]: Finished uploading minidump (out-of-process): success = yes
assert_20150930175749_5.dmp[3576]: response: CrashID=bp-b612c62d-d522-48e1-beca-bcebb2150930
assert_20150930175749_5.dmp[3576]: file ''/tmp/dumps/assert_20150930175749_5.dmp'', upload yes: ''CrashID=bp-b612c62d-d522-48e1-beca-bcebb2150930''
Installing breakpad exception handler for appid(steamwebhelper)/version(20150604103540)
Installing breakpad exception handler for appid(steamwebhelper)/version(1433441724)
Installing breakpad exception handler for appid(steamwebhelper)/version(1433441724)
[0100/000000:ERROR:zygote_linux.cc(585)] write: Broken pipe
Last Edit: September 30, 2015, 08:18:59 PM by Jerry
 

Re: Steam will not run
« Reply #3 on: September 30, 2015, 06:15:48 PM »
 

wyldekey

  • New to Forums
  • *
  • 10
    Posts
  • Reputation: 2
  • Linux Lite Member
Well, this is odd. I opened synaptic to uninstall steam and discovered that the steam launcher was there, but 'steam' was NOT installed. I installed it, but still can't find a way to launch it.
Maybe I'll reboot and try again.

I'm running the 32 bit version, too.
Last Edit: September 30, 2015, 06:48:47 PM by wyldekey
 

Re: Steam will not run
« Reply #4 on: September 30, 2015, 07:55:02 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7156
    Posts
  • Country: nz
  • Reputation: 671
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
On the 32bit, Steam is already installed. No need to install anything else.
Last Edit: September 30, 2015, 08:19:47 PM by Jerry
 

Re: Steam will not run
« Reply #5 on: September 30, 2015, 08:47:05 PM »
 

wyldekey

  • New to Forums
  • *
  • 10
    Posts
  • Reputation: 2
  • Linux Lite Member
I completely uninstalled Steam, then reinstalled it. It's in the menu under Games, but it just won't launch.
It looks like all dependencies are installed.
 

Re: Steam will not run
« Reply #6 on: September 30, 2015, 08:55:43 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7156
    Posts
  • Country: nz
  • Reputation: 671
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Uninstall it again. Then remove the .steam folder from your home folder. Then install 'steam-launcher' (and nothing else) from Install/Remove Software. Then start it in a terminal as: /usr/bin/steam %U and paste the output using the # [ code ] tags.
 

Re: Steam will not run
« Reply #7 on: September 30, 2015, 09:40:42 PM »
 

wyldekey

  • New to Forums
  • *
  • 10
    Posts
  • Reputation: 2
  • Linux Lite Member
OK, before I saw your last post I used the Steam .deb installer I downloaded from the Valve website to remove Steam. I then opened the terminal and did: sudo apt-get install steam. Then went to menu>games and clicked on Steam, and it opened and downloaded updates and then was able to log in to my son'e account. It seems to be working now!
Thanks for the responses.
 

Re: Steam will not run
« Reply #8 on: August 19, 2016, 02:16:57 PM »
 

Loufadoros

  • New to Forums
  • *
  • 1
    Posts
  • Country: gr
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.0 64bit

  • CPU: Dual core AMD

  • MEMORY: 4Gb

  • VIDEO CARD: Intel HD
Hey all . Tried all of these , Steam won't run, this is what I get

Running Steam on ubuntu 16.04 64-bit
STEAM_RUNTIME is enabled automatically
[2016-08-19 21:15:28] Startup - updater built Aug 16 2016 19:47:11
SteamUpdateUI: An X Error occurred
X Error of failed request:  BadValue (integer parameter out of range for operation)
 

Re: Steam will not run
« Reply #9 on: October 07, 2016, 10:26:16 PM »
 

unclebaldie

  • New to Forums
  • *
  • 14
    Posts
  • Country: england
  • Reputation: 3
  • Linux Lite Member

  • Linux Lite: 3.2 64bit

  • CPU: Intel i3 @ 3.20gHz

  • MEMORY: 4Gb
yep, getting the same error as Loufadoros.
Running LL 3.2Beta, 64bit.
'Menu/Settings/Install drivers' does nothing.

 

Re: Steam will not run
« Reply #10 on: April 05, 2017, 03:28:31 AM »
 

AlistairBH

  • New to Forums
  • *
  • 1
    Posts
  • Country: mx
  • Reputation: 1
  • Linux Lite Member

  • Linux Lite: 3.4 32bit

  • CPU: AMD A4-3305M APU with Radeon(tm) HD Graphics

  • MEMORY: 6Gb

  • VIDEO CARD: Gallium 0.4 on AMD SUMO2
Uninstall it again. Then remove the .steam folder from your home folder. Then install 'steam-launcher' (and nothing else) from Install/Remove Software. Then start it in a terminal as: /usr/bin/steam %U and paste the output using the # [ code ] tags.

I am new in the community, and had the same problem with Linux Lite 3.4 (64-bit); as jerry advised I uninstalled and reinstalled, but the problem with me was the AMD drivers, finally I solved it by using this guy drivers: https://launchpad.net/~oibaf/+archive/ubuntu/graphics-drivers

I've just added the ppa and installed both:
sudo apt-get install xserver-xorg-video-amdgpu
sudo apt-get install xserver-xorg-video-ati

I only want to share this for someone with AMD graphics.
 


Tags:
 


Install Updates Gimp Error - see Security & Bug Fixes Section Sticky